Bug 751530

Summary: [abrt] fedora-cert-0.5.9.2-2.fc16: grabber.py:1591:_do_grab:URLGrabError: [Errno 14] curl#7 - "Couldn't connect"
Product: [Fedora] Fedora Reporter: Michal Ambroz <rebus>
Component: fedora-packagerAssignee: Dennis Gilmore <dennis>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: dcantrell, dennis, rhbugs
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:201133adba5db7766db17ea24f23f1aa168ae4ef
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 08:57:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michal Ambroz 2011-11-05 05:43:10 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/bin/fedora-cert -v
executable:     /usr/bin/fedora-cert
kernel:         3.1.0-5.fc16.i686.PAE
reason:         grabber.py:1591:_do_grab:URLGrabError: [Errno 14] curl#7 - "Couldn't connect"
time:           Sat Nov  5 09:55:52 2011
uid:            1000
username:       mambroz

backtrace:
:grabber.py:1591:_do_grab:URLGrabError: [Errno 14] curl#7 - "Couldn't connect"
:
:Traceback (most recent call last):
:  File "/usr/bin/fedora-cert", line 71, in <module>
:    main(opts)
:  File "/usr/bin/fedora-cert", line 54, in main
:    fedora_cert.verify_cert()
:  File "/usr/lib/python2.7/site-packages/fedora_cert/__init__.py", line 49, in verify_cert
:    crl = urlgrabber.urlread("https://admin.fedoraproject.org/ca/crl.pem")
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 666, in urlread
:    return default_grabber.urlread(url, limit, **kwargs)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1054, in urlread
:    s = self._retry(opts, retryfunc, url, limit)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 918, in _retry
:    r = apply(func, (opts,) + args, {})
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1033, in retryfunc
:    fo = PyCurlFileObject(url, filename=None, opts=opts)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1098, in __init__
:    self._do_open()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1453, in _do_open
:    self._do_grab()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1591, in _do_grab
:    raise e
:URLGrabError: [Errno 14] curl#7 - "Couldn't connect"
:
:Local variables in innermost frame:
:self: <urlgrabber.grabber.PyCurlFileObject object at 0x834f80c>
:_was_filename: False
:e: URLGrabError(14, 'curl#7 - "Couldn\'t connect"')

comment:
:triggered command 
:fedora-cert -v
:
:Result:
:$ fedora-cert -v
:Verifying Certificate
:Traceback (most recent call last):
:  File "/usr/bin/fedora-cert", line 71, in <module>
:    main(opts)
:  File "/usr/bin/fedora-cert", line 54, in main
:    fedora_cert.verify_cert()
:  File "/usr/lib/python2.7/site-packages/fedora_cert/__init__.py", line 49, in verify_cert
:    crl = urlgrabber.urlread("https://admin.fedoraproject.org/ca/crl.pem")
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 666, in urlread
:    return default_grabber.urlread(url, limit, **kwargs)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1054, in urlread
:    s = self._retry(opts, retryfunc, url, limit)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 918, in _retry
:    r = apply(func, (opts,) + args, {})
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1033, in retryfunc
:    fo = PyCurlFileObject(url, filename=None, opts=opts)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1098, in __init__
:    self._do_open()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1453, in _do_open
:    self._do_grab()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1591, in _do_grab
:    raise e
:urlgrabber.grabber.URLGrabError: [Errno 14] curl#7 - "Couldn't connect"
:
Comment 1 Fedora End Of Life 2013-01-16 08:15:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:57:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.